#pragma once
#include "global.h"
#include "CMyListBox.h"
#include "CMyPicBox.h"
#include "MyStructDef.h"
class CNewMC : public CDialog
{
	DECLARE_DYNAMIC(CNewMC)
	DECLARE_MESSAGE_MAP()
public:
	CNewMC(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CNewMC();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CMCEDITOR_NEWMC };
#endif
	void* pMainEditor = nullptr;
	bool load = false;
	MyCharacterInfo outMC;
	void UpdateContext();//更新内容
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
public:
	afx_msg void OnBnClickedButtonDir();
	afx_msg void OnBnClickedOk();
	afx_msg void OnAddLabel();
	afx_msg void OnRenameLabel();
	afx_msg void OnDeleteLabel();
private:
	CButton button_dir;//浏览头像
	CStatic* static_face;//头像图像
	CButton radio_creature;//生物
	CButton radio_sprite;//精灵
	CEdit edit_image;//印象
	CEdit edit_label;//名字
	CComboBox combobox_pos;//角色定位
	CComboBox combobox_char;//性格
	CButton radio_female;//雌性
	CButton radio_male;//雄性
	CButton radio_none;//无性别
	CEdit edit_ideal;//理想
	CStatic* static_set;//设定实现分组框
	CMyListBox listbox_set;//设定实现表
	/*---------------子窗口-----------------*/
	CMyPicBox picbox;
	//XML数据
	std::unordered_map<std::wstring, MyLabelXML> labelMap;
};

